# filter

inline fun CopySpec.filter(filterType: KClass<out FilterReader>, vararg properties: Pair<String, Any>): CopySpec
inline fun CopySpec.filter(filterType: KClass<out FilterReader>, vararg properties: Pair<String, Any>): CopySpec
inline fun CopySpec.filter(filterType: KClass<out FilterReader>): CopySpec
inline fun CopySpec.filter(filterType: KClass<out FilterReader>): CopySpec

Kotlin extension function taking kotlin.reflect.KClass for org.gradle.api.file.CopySpec.filter.

#### See also

CopySpec.filter

inline fun AbstractCopyTask.filter(filterType: KClass<out FilterReader>, vararg properties: Pair<String, Any>): AbstractCopyTask
inline fun AbstractCopyTask.filter(filterType: KClass<out FilterReader>, vararg properties: Pair<String, Any>): AbstractCopyTask
inline fun AbstractCopyTask.filter(filterType: KClass<out FilterReader>): AbstractCopyTask
inline fun AbstractCopyTask.filter(filterType: KClass<out FilterReader>): AbstractCopyTask

Kotlin extension function taking kotlin.reflect.KClass for org.gradle.api.tasks.AbstractCopyTask.filter.

#### See also

AbstractCopyTask.filter

inline fun ContentFilterable.filter(filterType: KClass<out FilterReader>, vararg properties: Pair<String, Any>): ContentFilterable
inline fun ContentFilterable.filter(filterType: KClass<out FilterReader>, vararg properties: Pair<String, Any>): ContentFilterable
inline fun ContentFilterable.filter(filterType: KClass<out FilterReader>): ContentFilterable
inline fun ContentFilterable.filter(filterType: KClass<out FilterReader>): ContentFilterable

Kotlin extension function taking kotlin.reflect.KClass for org.gradle.api.file.ContentFilterable.filter.

#### See also

ContentFilterable.filter

inline fun <T : FilterReader> ContentFilterable.filter(vararg properties: Pair<String, Any?>): ContentFilterable

Adds a content filter to be used during the copy. Multiple calls add additional filters to the filter chain. Each filter should implement FilterReader. Import `org.apache.tools.ant.filters.*` for access to all the standard Ant filters.

Examples:

    filter<StripJavaComments>()
    filter<com.mycompany.project.CustomFilter>()
    filter<HeadFilter>("lines" to 25, "skip" to 2)
    filter<ReplaceTokens>("tokens" to mapOf("copyright" to "2009", "version" to "2.3.1"))

Content copied to clipboard

#### Return

this

#### Parameters

T

type of the filter to add

properties

map of filter properties

inline fun <T : FilterReader> ContentFilterable.filter(properties: Map<String, Any?>): ContentFilterable

Adds a content filter to be used during the copy. Multiple calls add additional filters to the filter chain. Each filter should implement FilterReader. Import `org.apache.tools.ant.filters.*` for access to all the standard Ant filters.

Examples:

    filter<HeadFilter>(mapOf("lines" to 25, "skip" to 2))
    filter<ReplaceTokens>(mapOf("tokens" to mapOf("copyright" to "2009", "version" to "2.3.1")))

Content copied to clipboard

#### Return

this

#### Parameters

T

type of the filter to add

properties

map of filter properties

fun <T : FilterReader> ContentFilterable.filter(filterType: KClass<T>, vararg properties: Pair<String, Any?>): ContentFilterable

Adds a content filter to be used during the copy. Multiple calls add additional filters to the filter chain. Each filter should implement FilterReader. Import `org.apache.tools.ant.filters.*` for access to all the standard Ant filters.

Examples:

    filter(StripJavaComments::class)
    filter(com.mycompany.project.CustomFilter::class)
    filter(HeadFilter::class, "lines" to 25, "skip" to 2)
    filter(ReplaceTokens::class, "tokens" to mapOf("copyright" to "2009", "version" to "2.3.1"))

Content copied to clipboard

#### Return

this

#### Parameters

filterType

type of the filter to add

properties

map of filter properties

fun <T : FilterReader> ContentFilterable.filter(filterType: KClass<T>, properties: Map<String, Any?>): ContentFilterable

Adds a content filter to be used during the copy. Multiple calls add additional filters to the filter chain. Each filter should implement FilterReader. Import `org.apache.tools.ant.filters.*` for access to all the standard Ant filters.

Examples:

    filter(HeadFilter::class, mapOf("lines" to 25, "skip" to 2))
    filter(ReplaceTokens::class, mapOf("tokens" to mapOf("copyright" to "2009", "version" to "2.3.1")))

Content copied to clipboard

#### Return

this

#### Parameters

filterType

type of the filter to add

properties

map of filter properties

inline fun <T : FilterReader> CopySpec.filter(vararg properties: Pair<String, Any?>): CopySpec
inline fun <T : FilterReader> CopySpec.filter(properties: Map<String, Any?>): CopySpec

Adds a content filter to be used during the copy.

#### See also

CopySpec.filter